drwebd(1)

NAME
drwebd - DrWeb Daemon checks files for viruses.

SYNOPSIS
drwebd [OPTIONS]

DESCRIPTION
DrWeb Daemon is a permanently loaded DrWeb antivirus module, which can scan for viruses files on disk or data transferred through socket on request from other DrWeb components. Requests are made using special protocol via UNIX sockets or TCP sockets.

DrWeb Daemon uses DrWeb antivirus engine and virus databases and is able to detect and cure all known viruses.

DrWeb Daemon is always running and has clear and easy protocol for sending scan requests, which makes it a perfect solution to be used as the antivirus filter for file servers, mail servers and internet gateways.

OPTIONS

-h  - use help.

-ini=<path to file>
    - use of alternative configuration file.

--foreground=<yes|no>
    - setting up Daemon operation mode at start. If Yes value is specified, Daemon will work in foreground. If No value is specified, Daemon will operate in daemon mode.

--check-only <command line parameters for check>
    - checking validity of Daemon's configuration at start. If some command line parameters are also specified, their validity will be checked as well.

-a=<Control Agent address>
    - running Daemon in central protection mode.

--only-key
    - nothing but key file is received from the Control Agent at start.

SIGNALS

SIGHUP
    - reload of configuration file

SIGTERM
    - correct termination of Daemon process

SIGKILL
    - forced termination of Daemon process (if any problems have emerged)

AUTHOR
Doctor Web (http://www.drweb.com)

SEE ALSO
drweb(1)